//
//  ViewController.m
//  TFSearchBar
//
//  Created by TF_man on 16/5/18.
//  Copyright © 2016年 TF_man. All rights reserved.
//

#import "ViewController.h"
#import "SXButton.h"
#import "SearchViewController.h"
#import "UIView+TF.h"

@interface ViewController ()

@property (nonatomic,strong)SXButton *letfButton;

@property (nonatomic,strong)UIButton *rightButton;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    [self.navigationController.navigationBar setBarTintColor:[UIColor redColor]];
    
    // 设置导航栏左侧按钮
    self.letfButton = [SXButton buttonWithType:UIButtonTypeCustom];
    self.letfButton.frame = CGRectMake(-10, 0, 60, 20);
    [self.letfButton addTarget:self action:@selector(screenAction:) forControlEvents:UIControlEventTouchUpInside];
    [self.letfButton setTitle:@"北京市" forState:UIControlStateNormal];
    [self.letfButton setImage:[UIImage imageNamed:@"zhankai"] forState:UIControlStateNormal];
    UIBarButtonItem *LeftBarButton = [[UIBarButtonItem alloc] initWithCustomView:self.letfButton];
    self.navigationItem.leftBarButtonItem = LeftBarButton;
    
    // 设置导航栏右侧按钮
    self.rightButton = [UIButton buttonWithType:UIButtonTypeCustom];
    self.rightButton.frame = CGRectMake(0, 0, 22, 21);
    self.rightButton.userInteractionEnabled = NO;
    [self.rightButton addTarget:self action:@selector(louDouAction:) forControlEvents:UIControlEventTouchUpInside];
    [self.rightButton setBackgroundImage:[UIImage imageNamed:@"shaixuan"] forState:UIControlStateNormal];
    UIBarButtonItem *rightBarButton = [[UIBarButtonItem alloc] initWithCustomView:self.rightButton];
    self.navigationItem.rightBarButtonItem = rightBarButton;
    
    
}

- (void)screenAction:(UIButton *)sender
{
    SearchViewController *searchV = [[SearchViewController alloc]init];
    UINavigationController *naV = [[UINavigationController alloc]initWithRootViewController:searchV];
    [searchV setSucceed:^(NSString *str) {
        
        if (str.length > 3) {
            
           self.letfButton.width = 90;
            self.letfButton.titleLabel.width = 60;
        }else{
            
            if (str.length == 3) {
                
                self.letfButton.width = 60;
                self.letfButton.titleLabel.width = 45;
                
            }else{
                
                self.letfButton.width = 30;
                self.letfButton.titleLabel.width = 30;
                
            }
        }
        
        [self.letfButton setTitle:str forState:UIControlStateNormal];
    }];
    [self presentViewController:naV animated:YES completion:^{
        
    }];
  
}

- (void)louDouAction:(UIButton *)sender{
    
    
    
}

@end
